Package skyview.geometry

# Class Sampler

java.lang.Object
skyview.geometry.Sampler

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Component`

Direct Known Subclasses:
  `Clip`, `Combo`, `Lanczos`, `LI`, `NN`, `Spline`

public abstract class Sampler extends Object implements Component, Cloneable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int[]`
`bounds`
This gives the minX,maxX, minY,maxY pixel values for the current output image.
`protected int`
`inDepth`
`protected int`
`inHeight`
`protected Image`
`inImage`
The input image.
`protected int`
`inWidth`
`protected int`
`outDepth`
`protected int`
`outHeight`
`protected Image`
`outImage`
The output image.
`protected int`
`outWidth`
`protected Transformer`
`trans`
The transformation from the output image to the input image.

## Constructor Summary

Constructors
Constructor
Description
`Sampler()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Allow someone to get a copy of this sampler for use on another image.
`static Sampler`
`factory(String type)`
Factory for creating samplers
`abstract void`
`sample(int index)`
Find the value in the input data to put in the output data.
`void`
`setBounds(int[] bounds)`
Set the bounds of the output image that may be asked for.
`void`
`setInput(Image inImage)`
Set the input image for the sampling
`void`
`setOrder(int order)`
Set the order of the classifier.
`void`
`setOutput(Image outImage)`
Set the output image for the sampling
`void`
`setTransform(Transformer transform)`
Set the transformation information.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface skyview.Component

`getDescription, getName`

## Field Details

### inImage

protected Image inImage
The input image. It should have a size inHeight*inWidth*inDepth

### inHeight

protected int inHeight

### inWidth

protected int inWidth

### inDepth

protected int inDepth

### bounds

protected int[] bounds
This gives the minX,maxX, minY,maxY pixel values for the current output image. We can use this to limit the region of the input image we are interested in.

### outImage

protected Image outImage
The output image. It should have a size outHeight*outWidth*outDepth

### outHeight

protected int outHeight

### outWidth

protected int outWidth

### outDepth

protected int outDepth

### trans

protected Transformer trans
The transformation from the output image to the input image.

## Constructor Details

### Sampler

public Sampler()

## Method Details

### sample

public abstract void sample(int index)
Find the value in the input data to put in the output data. The output array defined in a previous setOutput call is updated.

Parameters:
  `index` - The index into the output array.

### clone

public Object clone()
Allow someone to get a copy of this sampler for use on another image.

Overrides:
  `clone` in class `Object`

### setInput

public void setInput(Image inImage)
Set the input image for the sampling

### setBounds

public void setBounds(int[] bounds)
Set the bounds of the output image that may be asked for.

### setOutput

public void setOutput(Image outImage)
Set the output image for the sampling

### setTransform

public void setTransform(Transformer transform)
Set the transformation information.

Parameters:
  `transform` - The transformer object.

### factory

public static Sampler factory(String type)
Factory for creating samplers

### setOrder

public void setOrder(int order)
Set the order of the classifier. By default this does nothing but it defines the order of the sampling for some samplers.